//------------------------------------------------------------------
// SWE2007: Software Experiment 2 (Fall 2016)
//
// Skeleton code for PA #0
//
// Dong-Yun Lee
// Computer Systems Laboratory
// Sungkyunkwan University
//
// Student Name  :
// Student ID No.:
//------------------------------------------------------------------
#include <unistd.h>

// Conversions string to numeric formats:
int	my_atoi    (const char *nptr);
long	my_atol    (const char *nptr);

// Conversions numeric formats to string:
char	*my_int2str   (char *dst, int num);

// String manipulation and examination:
size_t	my_strlen  (const char *s);
int 	my_strcmp  (const char *s1, const char *s2);
int    	my_strncmp (const char *s1, const char *s2, size_t n);
char  	*my_strchr (const char *s, int c);
char  	*my_strrchr(const char *s, int c);

char	*my_strcpy (char *dest, const char *src);
char	*my_strncpy(char *dest, const char *src, size_t n);
char	*my_strcat (char *dest, const char *src);
char	*my_strncat(char *dest, const char *src, size_t n);
char	*my_strdup (const char *str);
char	*my_strstr (const char *haystack, const char *needle);
char	*my_strtok (char *str, const char *delim);

// Character array manipulation:
void  	*my_memcpy (void *dest, const void *src, size_t n);
void 	*my_memset (void *s, int c, size_t n);
